using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HBLConsole.Model
{
    public class Siemens : TcpDeviceBase
    {
        public Siemens()
        {
            Init();
        }

        /// <summary>
        /// 插槽号
        /// </summary>
        public int Slot { get; set; } = 0;

        /// <summary>
        /// 机架号
        /// </summary>
        public int Rack { get; set; } = 0;

        /// <summary>
        /// PLC 类型
        /// </summary>
        public string PlcType { get; set; }

        public ObservableCollection<string> PlcTypes { get; set; } = new ObservableCollection<string>();

        private void Init()
        {
            PlcTypes.Clear();
            foreach (var item in Enum.GetNames(typeof(ESiemensPlcType)))
            {
                PlcTypes.Add(item.Substring(1));
            }
        }


    }
}
